Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.annotations.info

# Annotation Type Info

@Target({}) @Retention(RUNTIME) @Inherited public @interface Info
This annotation provides metadata about the API, and maps to the Info object in OpenAPI Specification 3.

See Also:
  - OpenAPI Specification Info Object

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`title`
The title of the application.
`String`
`version`
The version of the API definition.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Contact`
`contact`
The contact information for the exposed API.
`String`
`description`
A short description of the application.
`Extension[]`
`extensions`
List of extensions to be added to the `Info` model corresponding to the containing annotation.
`License`
`license`
The license information for the exposed API.
`String`
`summary`
The summary of the API.
`String`
`termsOfService`
A URL to the Terms of Service for the API.

## Element Details

### title

String title
The title of the application.

Returns:
  the application's title

### version

String version
The version of the API definition.

Returns:
  the application's version

### description

String description
A short description of the application. CommonMark syntax can be used for rich text representation.

Returns:
  the application's description

Default:
  ""

### termsOfService

String termsOfService
A URL to the Terms of Service for the API. Must be in the format of a URL.

Returns:
  the application's terms of service

Default:
  ""

### contact

Contact contact
The contact information for the exposed API.

Returns:
  a contact for the application

Default:
  @org.eclipse.microprofile.openapi.annotations.info.Contact

### license

License license
The license information for the exposed API.

Returns:
  the license of the application

Default:
  @org.eclipse.microprofile.openapi.annotations.info.License(name="")

### summary

String summary
The summary of the API.

Returns:
  the summary for the API
Since:
  4.0

Default:
  ""

### extensions

Extension[] extensions
List of extensions to be added to the `Info` model corresponding to the containing annotation.

Returns:
  array of extensions
Since:
  3.1

Default:
  {}